summaryrefslogtreecommitdiffstats
path: root/packer
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2017-02-07 10:54:58 -0800
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2017-02-07 10:54:58 -0800
commit7fb50b3d4acb09184ef34cff57b37540998c708e (patch)
treef5f64601af7fa85a288d0a8c91bcf9f3018578fb /packer
parent8ffb213159a20c622b5dfaad1362921980095ed3 (diff)
Correctly call pipefail not pipefile
Change-Id: I2e51de944afcdba9e77e7300960cd0578566fcc6 Signed-off-by: Andrew Grimberg <agrimberg@linuxfoundation.org>
Diffstat (limited to 'packer')
-rw-r--r--packer/provision/basebuild.sh2
-rw-r--r--packer/provision/baseline.sh2
-rw-r--r--packer/provision/docker.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/packer/provision/basebuild.sh b/packer/provision/basebuild.sh
index 5801ed6f5..b377e0741 100644
--- a/packer/provision/basebuild.sh
+++ b/packer/provision/basebuild.sh
@@ -3,7 +3,7 @@
# vim: ts=4 sw=4 sts=4 et tw=72 :
# force any errors to cause the script and job to end in failure
-set -xeu -o pipefile
+set -xeu -o pipefail
rh_systems() {
# Install python dependencies
diff --git a/packer/provision/baseline.sh b/packer/provision/baseline.sh
index 923a196d3..1c611a8ea 100644
--- a/packer/provision/baseline.sh
+++ b/packer/provision/baseline.sh
@@ -3,7 +3,7 @@
# vim: ts=4 sw=4 sts=4 et tw=72 :
# force any errors to cause the script and job to end in failure
-set -xeu -o pipefile
+set -xeu -o pipefail
rh_systems() {
# Handle the occurance where SELINUX is actually disabled
diff --git a/packer/provision/docker.sh b/packer/provision/docker.sh
index 69c504c15..117c436aa 100644
--- a/packer/provision/docker.sh
+++ b/packer/provision/docker.sh
@@ -3,7 +3,7 @@
# vim: ts=4 sw=4 sts=4 et tw=72 :
# force any errors to cause the script and job to end in failure
-set -xeu -o pipefile
+set -xeu -o pipefail
rh_systems() {
# Assumes that python is already installed by basebuild